# H225_MobileUIM Class Reference

`#include <h225.h>`

List of all members.

## Public Types

enum | Choices { e_ansi_41_uim, e_gsm_uim }

## Public Member Functions

| H225_MobileUIM (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H225_ANSI_41_UIM & ()
| operator const H225_ANSI_41_UIM & () const
| operator H225_GSM_UIM & ()
| operator const H225_GSM_UIM & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H225_MobileUIM::Choices

Enumerator:

  e_ansi_41_uim |
  e_gsm_uim |

## Constructor & Destructor Documentation

H225_MobileUIM::H225_MobileUIM | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H225_MobileUIM::operator H225_ANSI_41_UIM & | ( |  | ) |

H225_MobileUIM::operator const H225_ANSI_41_UIM & | ( |  | ) | const

H225_MobileUIM::operator H225_GSM_UIM & | ( |  | ) |

H225_MobileUIM::operator const H225_GSM_UIM & | ( |  | ) | const

PBoolean H225_MobileUIM::CreateObject | ( |  | ) |

PObject* H225_MobileUIM::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h225.h